**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/26.2/haccp/export-haccp-plan-translatable-fields.md

# Export HACCP Plan Translatable Fields



Use this endpoint to export translatable fields from a translation copy of a *HACCP Plan* record and its related transactional records.

Before submitting this request:

* Generate a translation copy of a *HACCP Plan* and ensure the copy has an associated *HACCP Translation Generation* record in the *Ready for Export* lifecycle state.

* You must have permission to view all translatable fields in the target *HACCP Plan*.

When triggered, Vault exports the following field types for translation:

* *Text*  (Metadata return type = `String`)

* *Long Text* (Metadata return type  = `LongText`)

* *Rich Text* (Metadata return type = `RichText`)

The API returns the `job_id`. Learn more about [translating HACCP Plans in Vault Help](https://quality.veevavault.help/en/lr/991539).

You must run [Retrieve HACCP Plan Translatable Fields](/quality/vault-api/api-reference/26.2/haccp/retrieve-haccp-plan-translatable-fields) after running this API in order to make the exported data available.

<Endpoint path="/api/{version}/app/quality/haccp_plan/{haccp_plan_record_id}/translatable_fields/actions/export" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) |
</FieldTable>

#### URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{haccp_plan_record_id}` | The *ID* field value for the *HACCP Plan* record you wish to translate. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -L -X POST 'https://myvault.veevavault.com/api/v25.3/app/quality/haccp_plan/VY7000000003002/translatable_fields/actions/export' \
-H 'Authorization: {AUTH_VALUE}' \
-H 'Accept: application/json' \

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "data": {
        "job_id": "652902"
    }
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, Vault returns a `job_id`. If the size of the translatable field data to export exceeds 250 MB, the request fails.



---

**Previous:** [HACCP](/quality/vault-api/api-reference/26.2/haccp)  
**Next:** [Retrieve HACCP Plan Translatable Fields](/quality/vault-api/api-reference/26.2/haccp/retrieve-haccp-plan-translatable-fields)